/*
 Theme Name:   Divi Child Theme
 Description:  Divi Child Theme
 Author:       Astrid Brueckner | basstrid.at
 Template:     Divi
 Version:      1.0
 License:      GNU General Public License v2 or later
 License URI:  http://www.gnu.org/licenses/gpl-2.0.html
 Text Domain:  ab
*/



/*Fokus für Tastaturnavigation - mit Plugin A11y eingefügt - dieser Code ist für die Umrahmung im Menü*/

#main-header #et-top-navigation nav>ul>li>a {
    padding-bottom: 0;
}

#main-header #et-top-navigation nav>ul>li {
    padding-bottom: 33px;
}


::selection {
	color:#fff; /*kann man auch weglassen, wenn Schrift gleich bleibt*/
	background: #4d653e;
}



/*Schriftdicke im Menü ändern*/
#top-menu-nav #top-menu>li>a {
	font-weight: 400!important;
}


/* Add space before headings */
:where(.et_pb_text) :is(p,ul,ol,blockquote) ~ :is(h1,h2,h3,h4,h5,h6) {
  padding-top:.75em;

}

/* Fix bottom spacing on elements 
:where(.et_pb_text) p:last-of-type {
  padding-bottom:1em;
}
:where(.et_pb_text) :is(p,ul,ol,blockquote):last-child {
  padding-bottom:0;
}
*/

/* Style Lists */
::marker {color:#B28D40;}

:where(.et_pb_text) ::marker {
  color:#B28D40;
  font-family:var(--et_global_heading_font);
}

/*Abstand und Aufzählungszeichen änderbar

/*von Ania*/
:where(.et_pb_text) :is(ol,ul) li/*:not(:last-child)*/ {
  padding-bottom:.3em;
}



/* Style Blockquotes */
:where(.et_pb_text) blockquote {
  border:none;
  position:relative;
  padding:.5em 1em;
  margin:.5em 0 1.5em;
}
:where(.et_pb_text) blockquote::after {
  content:'〞';
  color:var(--gcid-primary-color);
  position:absolute;
  font-size:4em;
  left:-.15em;
  top:.2em;
}
:where(.et_pb_text) blockquote::before {
  content:'';
  background:var(--gcid-primary-color);
  opacity:0.1;
  width:100%;
  height:100%;
  position:absolute;
  z-index:-1;
  left:0; 
  top:0;
  border-radius:5px;
}

/* Style Links & Hover 
:where(.et_pb_text) a {
  transition: all .2s linear;
  text-underline-offset:.24em;
  text-decoration-thickness:.1em;
}
:where(.et_pb_text) a:hover {
  text-underline-offset:.12em;
}
*/

/* Style Links & Hover */
:where(.et_pb_text) a,
:where(.et_pb_blurb_description) a {
  transition: all .2s linear;
  text-underline-offset: .24em;
  text-decoration-thickness: .1em;
  position: relative;
  text-decoration: underline; /* Standardunterstreichung ausblenden */
}

:where(.et_pb_text) a::after,
:where(.et_pb_blurb_description) a::after {
  content: '';
  position: absolute;
  width: 0;
  height: .1em;
  bottom: 0;
  left: 0;
  background-color: currentColor;
  transition: width .2s linear;
}

:where(.et_pb_text) a:hover::after,
:where(.et_pb_blurb_description) a:hover::after {
  width: 100%;
}

/*Damit das Menü näher am Logo ist*/
.et_pb_menu--with-logo .et_pb_menu__menu>nav>ul>li>a {
	padding: 10px 0;
}

/*Symbol vor H2 Überschrift
#schmuck h2:before {
	content:  '';
	width:  100px;
	height: 70px;
	background:  url(https://helene-wellbeing.at/wp-content/uploads/2026/02/bluemchen-5-hellgold.svg) no-repeat;
	position: absolute;
	left:  -50px;
	z-index: -1;
	background-size: contain;
}*/

/*Button Hintergrundbild Schleife
body #page-container #et-boc .et_pb_section .et_pb_button_module_wrapper .et_pb_button.preset--module--divi-button--default::before {
    display: block !important;
    position: absolute;
    width: 100%;
    background: url(https://helene-wellbeing.at/wp-content/uploads/2026/02/schleife-reoben-50transparent.svg) no-repeat;
    height: 100%;
    content: '';
    opacity: 0;
    left: 0;
    background-size: 100% auto;
    z-index:-1;
    transition: opacity .3s linear;
}
body #page-container #et-boc .et_pb_section .et_pb_button_module_wrapper .et_pb_button.preset--module--divi-button--default:hover::before {
    opacity: 1;
	background-color: #4D653E;
}
*/

/*Styling Sub menu*/
.et_pb_menu_0_tb_header.et_pb_menu ul.sub-menu li a {
    text-transform: none;
    font-size: clamp(16px, 0.20vw + 15.35px, 18px);
        line-height: 1.1em;
    padding: 0.5em;
        width: 270px;
}


/*SUBMENU hellgrauer Hintergrund sollte über die gesamte Container Submenü Breite gehen*/
li:not(.mega-menu) > ul.sub-menu > li {
    padding: 0;
    width: 100%;
}

#page-container li:not(.mega-menu) > ul.sub-menu > li > a {
    padding: 10px 20px;
    width: 100%;
}

#page-container ul-submenu li a {
	font-weight: 400;
	font-size: 16px;
	line-height: 1.2;
	padding: 10px;
	text-transform: none;
	transition: all .3s ease-in-out;
}

/*Im mobilen Menü bei den Elterneinträgen KEINE Hintergrundfarbe anzeigen – im Standard-Divi-Mobile-Menu*/

.et_mobile_menu .menu-item-has-children>a {
		background: rgba(0,0,0,0) !important;}

/*SIB BUtton*/
.sib-default-btn {
	font-family: 'Source Sans Pro';
}
